Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.objectprovider
Class EagerResultList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.AbstractSequentialList
                        |
                        +--java.util.LinkedList
                              |
                              +--com.solarmetric.kodo.runtime.objectprovider.EagerResultList

All Implemented Interfaces:
  Cloneable, Collection, CustomResultList, List, ResultList, Serializable

public class EagerResultList
extends LinkedList
implements CustomResultList

Simple, non-lazy ResultList implementation

Since:
  2.4.0
See Also:
  Serialized Form

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EagerResultList()`
`EagerResultList(Object input, ResultObjectProvider rop)`

Method Summary
`void` | `checkClosed()` Check to see if this ResultList has been closed, and if so, throw a JDOUserException.
`void` | `close()` To be in accordance with the spec, we need to throw an Exception on list access after our owning Extent or Query is closed.
`Object` | `get(int index)`
`int` | `getInstantiatedCount()` Returns the number of objects that are currently instantiated internally in this list.
`void` | `initResultList(Object input, ResultObjectProvider rop, Configuration config)` Initialize the ResultList implementation, which will allow custom ResultList objects to be used for Query results.
`boolean` | `isClosed()` Returns true if the list has been closed.
`Iterator` | `iterator()`
`ListIterator` | `listIterator()`

Methods inherited from class java.util.LinkedList
`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, getFirst, getLast, indexOf, lastIndexOf, listIterator, remove, remove, removeFirst, removeLast, set, size, toArray, toArray`

Methods inherited from class java.util.AbstractList
`equals, hashCode, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, lastIndexOf, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### EagerResultList

    public EagerResultList()

### EagerResultList

    public EagerResultList(Object input,
                           ResultObjectProvider rop)

Method Detail

### initResultList

    public void initResultList(Object input,
                               ResultObjectProvider rop,
                               Configuration config)

  Description copied from interface: `CustomResultList`
  Initialize the ResultList implementation, which will allow custom ResultList objects to be used for Query results.
  Specified by:
    `initResultList` in interface `CustomResultList`
  Following copied from interface: `com.solarmetric.kodo.runtime.objectprovider.CustomResultList`
  Parameters:
    `input` - the source of the results (e.g., a JDBC ResultSet)
    `rop` - the provider used to obtain the next element from the list
    `config` - the Configuration object to use

### getInstantiatedCount

    public int getInstantiatedCount()

  Description copied from interface: `ResultList`
  Returns the number of objects that are currently instantiated internally in this list.
  Specified by:
    `getInstantiatedCount` in interface `ResultList`

### checkClosed

    public void checkClosed()

  Description copied from interface: `ResultList`
  Check to see if this ResultList has been closed, and if so, throw a JDOUserException.
  Specified by:
    `checkClosed` in interface `ResultList`

### close

    public void close()

  To be in accordance with the spec, we need to throw an Exception on list access after our owning Extent or Query is closed.
  Specified by:
    `close` in interface `ResultList`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Overrides:
    `get` in class `LinkedList`

### isClosed

    public boolean isClosed()

  Description copied from interface: `ResultList`
  Returns true if the list has been closed.
  Specified by:
    `isClosed` in interface `ResultList`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `List`
  Overrides:
    `iterator` in class `AbstractSequentialList`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`
  Overrides:
    `listIterator` in class `AbstractList`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.